## fonts-smc-keraleeyam 2.0

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=Keraleeyam
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
default: compile
all: compile webfonts

compile:
	@for font in `echo ${fonts}`;do \
		echo "Generating $$font.ttf";\
		$(PY) $(buildscript) $$font.sfd $(feature);\
	done;

webfonts:compile
	@echo "Generating webfonts";
	@for font in `echo ${fonts}`;do \
		sfntly -w $${font}.ttf $${font}.woff;\
		sfntly -e -x $${font}.ttf $${font}.eot;\
		[ -x `which woff2_compress` ] && woff2_compress $${font}.ttf;\
	done;

install: compile
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

test: compile
# Test the fonts
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;

=== debian/changelog ===
fonts-smc-keraleeyam (2.0-1) unstable; urgency=low

  [ Balasankar C ]
  * Team upload.
  * Initial release (Closes: #844337)

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Dec 2016 16:40:22 +0530

=== debian/control ===
Source: fonts-smc-keraleeyam
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~),
               fontforge (>= 1:20161005~dfsg),
               fonttools,
               libharfbuzz-bin,
               python-fontforge
Standards-Version: 3.9.8
Homepage: http://smc.org.in

Package: fonts-smc-keraleeyam
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Keraleeyam malayalam font
 This package provides Keraleeyam font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community.

## fonts-smc-keraleeyam 3.0.1

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=Keraleeyam-Regular
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
version=3.0
outdir=build
default: ttf
all: clean ttf webfonts test
.PHONY: ttf
ttf:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version) -o $(outdir);\
	done;

webfonts:woff woff2
woff: ttf
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $(outdir)/$$font.ttf;\
	done;
woff2: ttf
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $(outdir)/$$font.ttf;\
	done;

install: ttf
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $(outdir)/$${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

ifeq ($(shell ls -l $(outdir)/*.ttf 2>/dev/null | wc -l),0)
test: ttf run-test
else
test: run-test
endif

run-test:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $(outdir)/$${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-* tests/*.pdf $(outdir)

=== debian/changelog ===
fonts-smc-keraleeyam (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compatibility to 11.
  * Use https for URLs.
  * Remove fix-makefile-errors.patch - Patch applied upstream.
  * Add missing license to d/copyright.
  * Move maintainership to Debian Fonts Task Force.

 -- Balasankar C <balasankarc@debian.org>  Fri, 01 Mar 2019 22:56:41 +0530

=== debian/control ===
Source: fonts-smc-keraleeyam
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@debian.org>
Build-Depends: debhelper (>= 11~),
               fontforge (>= 1:20161005~dfsg),
               libharfbuzz-bin,
               python-fontforge,
               python-fonttools
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-keraleeyam.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-keraleeyam
Standards-Version: 4.3.0
Homepage: https://smc.org.in


Package: fonts-smc-keraleeyam
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Keraleeyam malayalam font
 This package provides Keraleeyam font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/keraleeyam-$1\.tar\.gz/g \
  https://gitlab.com/smc/keraleeyam/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## fonts-smc-keraleeyam 3.0.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 fontpath=/usr/share/fonts/truetype/malayalam
 fonts=Keraleeyam-Regular
 feature=features/features.fea
-PY=python2.7
+PY=python3
 buildscript=tools/build.py
 version=3.0
 outdir=build

=== debian/changelog ===
fonts-smc-keraleeyam (3.0.2-2) unstable; urgency=medium

  * Bump Debhelper compatibility to 13
  * Bump Standards-Version to 4.5.0
  * Fix email of Debian Fonts Task Force

 -- Balasankar C <balasankarc@debian.org>  Sun, 03 May 2020 21:58:52 +0530

fonts-smc-keraleeyam (3.0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #943084)
  * Bump Debhelper compatibility to 12
  * Bump Standards-Version to 4.4.1
  * Install Appstream metadata file
  * Add upstream metadata file

 -- Balasankar C <balasankarc@debian.org>  Wed, 01 Jan 2020 17:13:27 +0530

=== debian/control ===
Source: fonts-smc-keraleeyam
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Balasankar C <balasankarc@debian.org>
Build-Depends: debhelper-compat (= 13),
               fontforge-nox (>= 1:20161005~dfsg),
               libharfbuzz-bin,
               python3-fontforge,
               python3-fonttools
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-keraleeyam.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-keraleeyam
Standards-Version: 4.5.0
Homepage: https://smc.org.in
Rules-Requires-Root: no

Package: fonts-smc-keraleeyam
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Keraleeyam malayalam font
 This package provides Keraleeyam font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community

=== debian/watch ===
version=4
opts=filenamemangle=s/.*Version(\d\S+).keraleeyam-Version(\d\S+)\.tar\.gz/keraleeyam-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/keraleeyam/tags?sort=updated_desc .*keraleeyam-Version(\d\S+)\.tar\.gz
